Package net.snowflake.client.core

## Class SFSSLConnectionSocketFactory

- java.lang.Object
- - org.apache.http.conn.ssl.SSLConnectionSocketFactory
  - - net.snowflake.client.core.SFSSLConnectionSocketFactory

All Implemented Interfaces:
  `org.apache.http.conn.socket.ConnectionSocketFactory`, `org.apache.http.conn.socket.LayeredConnectionSocketFactory`

    public class SFSSLConnectionSocketFactory
    extends org.apache.http.conn.ssl.SSLConnectionSocketFactory

Snowflake custom SSLConnectionSocketFactory

### Field Summary

### Fields inherited from class org.apache.http.conn.ssl.SSLConnectionSocketFactory

`ALLOW_ALL_HOSTNAME_VERIFIER, BROWSER_COMPATIBLE_HOSTNAME_VERIFIER, SSL, SSLV2, STRICT_HOSTNAME_VERIFIER, TLS`

### Constructor Summary

Constructors
`SFSSLConnectionSocketFactory​(TrustManager[] trustManagers, boolean socksProxyDisabled)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Socket` `createSocket​(org.apache.http.protocol.HttpContext ctx)`
`static void` `setMaxTlsVersion​(String maxTlsVersion)`
`static void` `setMinTlsVersion​(String minTlsVersion)`

### Methods inherited from class org.apache.http.conn.ssl.SSLConnectionSocketFactory

`connectSocket, createLayeredSocket, getDefaultHostnameVerifier, getSocketFactory, getSystemSocketFactory, prepareSocket`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SFSSLConnectionSocketFactory

    public SFSSLConnectionSocketFactory​(TrustManager[] trustManagers,
                                        boolean socksProxyDisabled)
                                 throws NoSuchAlgorithmException,
                                        KeyManagementException

Throws:
  `NoSuchAlgorithmException`
  `KeyManagementException`

### Method Detail

#### createSocket

    public Socket createSocket​(org.apache.http.protocol.HttpContext ctx)
                        throws IOException

Specified by:
  `createSocket` in interface `org.apache.http.conn.socket.ConnectionSocketFactory`
Overrides:
  `createSocket` in class `org.apache.http.conn.ssl.SSLConnectionSocketFactory`
Throws:
  `IOException`

#### setMinTlsVersion

    public static void setMinTlsVersion​(String minTlsVersion)

#### setMaxTlsVersion

    public static void setMaxTlsVersion​(String maxTlsVersion)